
Robotics Service Bus - Tasks #1979
Port to Boost.Signals2
09/03/2014 05:15 PM - J. Moringen

Status: Resolved Start date: 09/03/2014
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: rsb-0.12
Description

Apparently, Boost.Signals has been deprecated in favor of Boost.Signals2.

Related issues:
Duplicated by Robotics Service Bus - Bug # 2020: boost::signal is deprecated Rejected 09/24/2014

Associated revisions
Revision 5341f6b2 - 03/13/2015 05:01 PM - J. Wienke

API change: Port to Boost.Signals2

Port to Boost.Signals2 to prevent deprecation warnings.

    -  CMakeLists.txt: remove signals from find_boost call. signals2 is
                  header-only

    -  src/rsb/Factory.h: Convert creation signal to new API
    -  src/rsb/Participant.h: likewise
    -  src/rsb/introspection/Plugin.cpp: use new API version

fixes #1979

Revision 08b6a848 - 03/13/2015 05:05 PM - J. Wienke

Mention API change due to Boost.Signals2

refs #1979

History
#1 - 09/24/2014 10:16 AM - J. Wienke
- Duplicated by Bug #2020: boost::signal is deprecated added

#2 - 12/11/2014 07:51 PM - J. Moringen
- Priority changed from Low to Normal

#3 - 03/13/2015 04:40 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#4 - 03/13/2015 05:05 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:rsb-cpp|5341f6b21532ffbff877d31a36bc6ab0edd25f1f.
